Crash On Vector Analysis of Large Dataset
Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.8.2 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 21197

Description

I'm using QGIS 2.8 on a system running Windows 8.1 (x64) with 12GB of RAM. I am attempting to run analyses of a very large database

(.gdb format, 7.17GB).

In attempting to run the "Join attributes by location" function on two vector layers, I get an error message of a minidump to C (i.e,

"minidump written to C:\\Users\\Admin\\AppData\\Local\\Temp\\qgis-20150717-131933-1872-4788-1b929ef.dmp"). This also occurs

when attempting to run "Intersect" on these two layers.

Restarting the computer hasn't fixed this issue, nor has updating all my plugins. I looked into changing the name of the .qgis2web folder

(as recommended at https://issues.qgis.org/), but that didn't work.

Using a similar, but smaller database (also .gdb format, but only 5MB) these functions work fine. This makes me thing the issue has

something to do with the size of the dataset.

Anyone have any experience with this issue? Also, if there is any additional information I should provide, let me know.

Thank you.

History

#1 - 2015-07-30 03:19 PM - Giovanni Manghi

- Subject changed from Minidump Crash On Vector Analysis of Large Dataset to Crash On Vector Analysis of Large Dataset

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category set to 44

- Tag deleted (minidump)

Are you running QGIS 32bit or 64?

You may want to try alternative tools you find in the Processing toolbox, like SAGA "intersect" or GRASS "v.overlay".

#2 - 2015-12-19 10:50 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback.
#3 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
